doctrine:
    dbal:
        url: '%env(resolve:DATABASE_URL)%'

        # IMPORTANT: You MUST configure your server version,
        # either here or in the DATABASE_URL env var (see .env file)
        #server_version: '13'
    orm:
        auto_generate_proxy_classes: true
        naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
        auto_mapping: true
        mappings:
            Convocatorias:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Convocatorias'
                is_bundle: false
                prefix: 'App\Entity\Convocatorias'
                alias: AppConvocatorias
            CargosJusticia:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Referencia'
                is_bundle: false
                prefix: 'App\Entity\Referencia\CargosJusticia'
                alias: AppCargosJusticia
            Jurisdiccion:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Referencia'
                is_bundle: false
                prefix: 'App\Entity\Referencia\Jurisdiccion'
                alias: AppJurisdiccion
            Estamento:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Referencia'
                is_bundle: false
                prefix: 'App\Entity\Referencia\Estamento'
                alias: AppEstamento
            Inscripciones:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Inscripciones'
                is_bundle: false
                prefix: 'App\Entity\Inscripciones'
                alias: AppInscripciones
            EvaInscripcion:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Evaluacion/'
                is_bundle: false
                prefix: 'App\Entity\Evaluacion\EVAInscripcion'
                alias: AppEvaInscripciones
            DepartamentosJudiciales:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Referencia'
                is_bundle: false
                prefix: 'App\Entity\Referencia\DepartamentosJudiciales'
                alias: AppDepartamentosJudiciales
            RegionesJudiciales:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Referencia'
                is_bundle: false
                prefix: 'App\Entity\Referencia\RegionesJudiciales'
                alias: AppRegionesJudiciales
            Examenes:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Examen'
                is_bundle: false
                prefix: 'App\Entity\Examen'
                alias: AppExamenes
            Sso:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Sso'
                is_bundle: false
                prefix: 'App\Entity\Sso'
                alias: AppSso
            Persona:
                is_bundle: false
                type: attribute
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity\Persona'
                alias: AppPersona
            Vacante:
                is_bundle: false
                type: attribute
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity\Vacante'
                alias: AppVacante
            Informes:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Informes'
                is_bundle: false
                prefix: 'App\Entity\Informes'
                alias: AppInformes
            # Examen:
            #     type: attribute
            #     dir: '%kernel.project_dir%/src/Entity/Examen'
            #     is_bundle: false
            #     prefix: 'App\Entity\Examen'
            #     alias: AppExamenes

            App:
                is_bundle: false
                type: annotation
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity'
                alias: App
        schema_ignore_classes:
            - App\Entity\Vacante\AplicacionBase
        dql:
            datetime_functions:
                DATE_FORMAT: DoctrineExtensions\Query\Mysql\DateFormat
